pcl::CPPFSignature Struct Reference
Module common

A point structure for storing the Point Pair Feature (CPPF) values. More...

`#include <pcl/impl/point_types.hpp>`

## Public Attributes

float | f1
float | f2
float | f3
float | f4
float | f5
float | f6
float | f7
float | f8
float | f9
float | f10
float | alpha_m

## Friends

std::ostream & | operator<< (std::ostream &os, const CPPFSignature &p)

## Detailed Description

A point structure for storing the Point Pair Feature (CPPF) values.

Definition at line 1154 of file point_types.hpp.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const CPPFSignature & | p
| ) |  |

friend

## Member Data Documentation

float pcl::CPPFSignature::alpha_m

Definition at line 1157 of file point_types.hpp.

float pcl::CPPFSignature::f1

Definition at line 1156 of file point_types.hpp.

float pcl::CPPFSignature::f10

Definition at line 1156 of file point_types.hpp.

float pcl::CPPFSignature::f2

Definition at line 1156 of file point_types.hpp.

float pcl::CPPFSignature::f3

Definition at line 1156 of file point_types.hpp.

float pcl::CPPFSignature::f4

Definition at line 1156 of file point_types.hpp.

float pcl::CPPFSignature::f5

Definition at line 1156 of file point_types.hpp.

float pcl::CPPFSignature::f6

Definition at line 1156 of file point_types.hpp.

float pcl::CPPFSignature::f7

Definition at line 1156 of file point_types.hpp.

float pcl::CPPFSignature::f8

Definition at line 1156 of file point_types.hpp.

float pcl::CPPFSignature::f9

Definition at line 1156 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/impl/point_types.hpp